<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
        <GenerateDocumentationFile>true</GenerateDocumentationFile>
        <NoWarn>$(NoWarn);1591</NoWarn>
        <ServerGarbageCollection>true</ServerGarbageCollection>
    </PropertyGroup>

    <ItemGroup>
      <Content Include="..\.dockerignore">
        <Link>.dockerignore</Link>
      </Content>
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="AngleSharp" Version="1.0.7" />
      <PackageReference Include="MaxMind.GeoIP2" Version="5.2.0" />
      <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="8.0.1" />
      <PackageReference Include="Microsoft.Extensions.Diagnostics.HealthChecks.Abstractions" Version="8.0.1" />
      <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
      <PackageReference Include="Nostr.Client" Version="2.0.0" />
      <PackageReference Include="prometheus-net.AspNetCore" Version="8.2.1" />
      <PackageReference Include="protobuf-net" Version="3.2.30" />
      <PackageReference Include="StackExchange.Redis" Version="2.7.10" />
      <PackageReference Include="Swashbuckle.AspNetCore" Version="6.5.0" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\NostrRelay\NostrRelay.csproj" />
      <ProjectReference Include="..\NostrServices.Client\NostrServices.Client.csproj" />
    </ItemGroup>

</Project>
